import { getUserInfoFromSession } from "../util/util";
import AppTitle from "./AppTitle";
import BannerInfo from "./BannerInfo";
import MenuBar from "./MenuBar";
import Separator from "./Separator";

function Header() {
    const userInfo = getUserInfoFromSession();
    const menuItems = [
        { name: "home", submenu: [], path: "/" },
        {
          name: "moduleList",
          submenu: [
            {name: "kcc", path: "kcc"},
            {name: "trading", path: "trading"},
            {name: "asset", path: "asset"},
            {name: "selfHelpGroup", path: "shg"},
            {name: "deposit", path: "deposit"},
            {name: "loan", path: "loan"},
            {name: "share", path: "share"},
          ],
        },
        { name: "enquiry", submenu: [{name: "lockerEnquiry", path: "locker-enquiry"}, {name: "accountEnquiry", path: "account-enquiry"}] },
        {
          name: "lockerOperation",
          submenu: [
            {name: "accountCreation", path: "account-creation"},
            {name: "cabinetMaintenance", path: "cabinet-maintenance"},
            {name: "lockerMaintenance", path: "locker-maintenance"},
            {name: "rentPenaltyCollection", path: "rent-collection"},
            {name: "chargeManagement", path: "charge-management"},
            {name: "checkInOutManagement", path: "check-in-out"},
            {name: "accountSurrender", path: "account-surrender"}
          ],
        },
        { name: "worklist", submenu: [{name:"myIntimation", path: "my-intimation"}] },
        {
          name: "userManagement",
          submenu: [{name: "resetLogin", path: "reset-login"}, {name: "changePassword", path: "change-password"}],
        },
        { name: "logout", submenu: [] },
      ];
    
    return (
        <div className="transition-color-mode px-7 bg-secondary dark:bg-secondary-dark text-primary dark:text-primary-dark">
            <AppTitle />
            <BannerInfo info={userInfo} />
            <Separator />
            <MenuBar menuItems={menuItems} />
        </div>
    )
}

export default Header;
