import FormBox from "../components/FormBox";
import { useTranslation } from "react-i18next";

function Home() {
  const { t } = useTranslation();
  const holidayList = [{ date: '23 May, 2024', name: 'Buddha Purnima' }, { date: '15 June, 2024', name: 'Raja Sankranti' }];
  const homePageNotifications = ['hpn_complete_before_31', 'hpn_npa', 'hpn_helpdesk_contact', 'hpn_rupay_kcc_time', 'hpn_rupay_kcc_atm'];

  return (
    <div className="py-7 flex flex-grow gap-7">
      <div className="flex gap-7 flex-col basis-1/3">
        <div className="flex-grow">
          <FormBox title={t('information')}>
            <h1>Welcome to the Home Page</h1>
          </FormBox>
        </div>
        <div className="flex-grow">
          <FormBox title={t('holidayList')}>
            <ul>
              {holidayList.map((holiday, index) => (
                <li key={index}>{holiday.date} - {holiday.name}</li>
              ))}
            </ul>
          </FormBox>
        </div>
      </div>
      <div className="basis-2/3">
        <div className="h-full">
          <FormBox title={t('notifications')}>
            <ul className="list-inside list-disc px-4">
              {homePageNotifications.map((notification, index) => (
                <li className="font-body py-1 text-surface-dark dark:text-surface text-lg/loose" key={index}>{t(notification)}</li>
              ))}
            </ul>
          </FormBox>
        </div>
      </div>
      
    </div>
  );
}

export default Home;