/** @type {import('tailwindcss').Config} */
export default {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  darkMode: 'selector',
  theme: {
    colors: {
      white: '#FFFFFF',
      black: '#000000',
      transparent: 'transparent',
      primary: {
        DEFAULT: '#008C46',
        dark: '#6affb4'
      },
      secondary: {
        DEFAULT: '#B1E1B3',
        dark: '#20542f',
        // dark: '#3d9f59',
        variant: {DEFAULT: '#80AE82', dark: '#5F8E5F'}
      },
      surface: {
        DEFAULT: '#F6F6F6',
        dark: '#2d3133',
        variant: {DEFAULT: '#F4FFF4', dark: '#3e4345'}
      },
      
    },
    fontFamily: {
      display: ['Montserrat', 'sans-serif'],
      body: ['Rubik', 'Noto Sans','Noto Sans Bengali', 'sans-serif'],
    },
    extend: {
      borderWidth: {
        '3': '3px',
      },
      fontSize: {
        title: '40px',
      },
    },
  },
  plugins: [
    function ({ addVariant }) {
      addVariant('second-last', '&:nth-last-child(2)');
    },
  ],
}

